/*
** lctime.h - Copyright 1991, Information Technology, Ltd.
**			  --All Rights Reserved--
**			  based upon concepts developed by TurboPower Software, Inc.
*/

#ifdef M_I86
#pragma pack(1)
#endif

typedef struct
{
	long	start_tics;
	long	end_tics;
} EVENT;

#ifdef M_I86
#pragma pack()
#endif

#define tics_day 1573040L		/* based on 18.20648 tics/sec */
#define secs_day 86400L			/* seconds in one day */

#define ticsfreq 1675L
#define secsfreq 92L

#ifdef __cplusplus
extern "C" {
#endif

void newtimer_s(EVENT *et, int secs);
void newtimer(EVENT *, long);
int check_timer(EVENT);

#ifdef __cplusplus
};
#endif
